<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:34:03 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
SyncBasicHttpParams (HttpComponents Core 4.2.3 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SyncBasicHttpParams (HttpComponents Core 4.2.3 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SyncBasicHttpParams.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/params/HttpProtocolParams.html" title="class in org.apache.http.params"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/params/SyncBasicHttpParams.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SyncBasicHttpParams.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.params</FONT>
<BR>
Class SyncBasicHttpParams</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/params/AbstractHttpParams.html" title="class in org.apache.http.params">org.apache.http.params.AbstractHttpParams</A>
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">org.apache.http.params.BasicHttpParams</A>
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.params.SyncBasicHttpParams</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/Serializable.html?is-external=true" title="class or interface in java.io">Serializable</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Cloneable.html?is-external=true" title="class or interface in java.lang">Cloneable</A>, <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A>, <A HREF="../../../../org/apache/http/params/HttpParamsNames.html" title="interface in org.apache.http.params">HttpParamsNames</A></DD>
</DL>
<HR>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="../../../../org/apache/http/annotation/ThreadSafe.html" title="annotation in org.apache.http.annotation">@ThreadSafe</A>
</FONT>public class <B>SyncBasicHttpParams</B><DT>extends <A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></DL>
</PRE>

<P>
Thread-safe extension of the <A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params"><CODE>BasicHttpParams</CODE></A>.
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.1</DD>
<DT><B>See Also:</B><DD><A HREF="../../../../serialized-form.html#org.apache.http.params.SyncBasicHttpParams">Serialized Form</A></DL>
<HR>

<P>

<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#SyncBasicHttpParams()">SyncBasicHttpParams</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes all parameters from this collection.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Clones the instance.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#getParameter(java.lang.String)">getParameter</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Obtains the value of the given parameter.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#isParameterSet(java.lang.String)">isParameterSet</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Is the parameter set?</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#isParameterSetLocally(java.lang.String)">isParameterSetLocally</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Is the parameter set in this object?</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#removeParameter(java.lang.String)">removeParameter</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Removes the parameter with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#setParameter(java.lang.String, java.lang.Object)">setParameter</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name,
             <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns the value to the parameter with the given name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../org/apache/http/params/SyncBasicHttpParams.html#setParameters(java.lang.String[], java.lang.Object)">setParameters</A></B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]&nbsp;names,
              <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;value)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Assigns the value to all the parameter with the given names</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.params.BasicHttpParams"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.params.<A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#copy()">copy</A>, <A HREF="../../../../org/apache/http/params/BasicHttpParams.html#copyParams(org.apache.http.params.HttpParams)">copyParams</A>, <A HREF="../../../../org/apache/http/params/BasicHttpParams.html#getNames()">getNames</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.params.AbstractHttpParams"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.params.<A HREF="../../../../org/apache/http/params/AbstractHttpParams.html" title="class in org.apache.http.params">AbstractHttpParams</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#getBooleanParameter(java.lang.String, boolean)">getBooleanParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#getDoubleParameter(java.lang.String, double)">getDoubleParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#getIntParameter(java.lang.String, int)">getIntParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#getLongParameter(java.lang.String, long)">getLongParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#isParameterFalse(java.lang.String)">isParameterFalse</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#isParameterTrue(java.lang.String)">isParameterTrue</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#setBooleanParameter(java.lang.String, boolean)">setBooleanParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#setDoubleParameter(java.lang.String, double)">setDoubleParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#setIntParameter(java.lang.String, int)">setIntParameter</A>, <A HREF="../../../../org/apache/http/params/AbstractHttpParams.html#setLongParameter(java.lang.String, long)">setLongParameter</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SyncBasicHttpParams()"><!-- --></A><H3>
SyncBasicHttpParams</H3>
<PRE>
public <B>SyncBasicHttpParams</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="removeParameter(java.lang.String)"><!-- --></A><H3>
removeParameter</H3>
<PRE>
public boolean <B>removeParameter</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/params/HttpParams.html#removeParameter(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Removes the parameter with the specified name.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/params/HttpParams.html#removeParameter(java.lang.String)">removeParameter</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#removeParameter(java.lang.String)">removeParameter</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD>true if the parameter existed and has been removed, false else.</DL>
</DD>
</DL>
<HR>

<A NAME="setParameter(java.lang.String, java.lang.Object)"><!-- --></A><H3>
setParameter</H3>
<PRE>
public <A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A> <B>setParameter</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name,
                               <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/params/HttpParams.html#setParameter(java.lang.String, java.lang.Object)">HttpParams</A></CODE></B></DD>
<DD>Assigns the value to the parameter with the given name.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/params/HttpParams.html#setParameter(java.lang.String, java.lang.Object)">setParameter</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#setParameter(java.lang.String, java.lang.Object)">setParameter</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="getParameter(java.lang.String)"><!-- --></A><H3>
getParameter</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A> <B>getParameter</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../org/apache/http/params/HttpParams.html#getParameter(java.lang.String)">HttpParams</A></CODE></B></DD>
<DD>Obtains the value of the given parameter.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../org/apache/http/params/HttpParams.html#getParameter(java.lang.String)">getParameter</A></CODE> in interface <CODE><A HREF="../../../../org/apache/http/params/HttpParams.html" title="interface in org.apache.http.params">HttpParams</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#getParameter(java.lang.String)">getParameter</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the parent name.
<DT><B>Returns:</B><DD>an object that represents the value of the parameter,
          <code>null</code> if the parameter is not set or if it
          is explicitly set to <code>null</code><DT><B>See Also:</B><DD><A HREF="../../../../org/apache/http/params/HttpParams.html#setParameter(java.lang.String, java.lang.Object)"><CODE>HttpParams.setParameter(String, Object)</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="isParameterSet(java.lang.String)"><!-- --></A><H3>
isParameterSet</H3>
<PRE>
public boolean <B>isParameterSet</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#isParameterSet(java.lang.String)">BasicHttpParams</A></CODE></B></DD>
<DD>Is the parameter set?
 <p>
 Uses <A HREF="../../../../org/apache/http/params/BasicHttpParams.html#getParameter(java.lang.String)"><CODE>BasicHttpParams.getParameter(String)</CODE></A> (which is overrideable) to
 fetch the parameter value, if any.
 <p>
 Also @see <A HREF="../../../../org/apache/http/params/BasicHttpParams.html#isParameterSetLocally(java.lang.String)"><CODE>BasicHttpParams.isParameterSetLocally(String)</CODE></A>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#isParameterSet(java.lang.String)">isParameterSet</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD>true if parameter is defined and non-null</DL>
</DD>
</DL>
<HR>

<A NAME="isParameterSetLocally(java.lang.String)"><!-- --></A><H3>
isParameterSetLocally</H3>
<PRE>
public boolean <B>isParameterSetLocally</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#isParameterSetLocally(java.lang.String)">BasicHttpParams</A></CODE></B></DD>
<DD>Is the parameter set in this object?
 <p>
 The parameter value is fetched directly.
 <p>
 Also @see <A HREF="../../../../org/apache/http/params/BasicHttpParams.html#isParameterSet(java.lang.String)"><CODE>BasicHttpParams.isParameterSet(String)</CODE></A>
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#isParameterSetLocally(java.lang.String)">isParameterSetLocally</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - parameter name
<DT><B>Returns:</B><DD>true if parameter is defined and non-null</DL>
</DD>
</DL>
<HR>

<A NAME="setParameters(java.lang.String[], java.lang.Object)"><!-- --></A><H3>
setParameters</H3>
<PRE>
public void <B>setParameters</B>(<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]&nbsp;names,
                          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;value)</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#setParameters(java.lang.String[], java.lang.Object)">BasicHttpParams</A></CODE></B></DD>
<DD>Assigns the value to all the parameter with the given names
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#setParameters(java.lang.String[], java.lang.Object)">setParameters</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>names</CODE> - array of parameter names<DD><CODE>value</CODE> - parameter value</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <B>clear</B>()</PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#clear()">BasicHttpParams</A></CODE></B></DD>
<DD>Removes all parameters from this collection.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#clear()">clear</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A> <B>clone</B>()
             throws <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/CloneNotSupportedException.html?is-external=true" title="class or interface in java.lang">CloneNotSupportedException</A></PRE>
<DL>
<DD><B>Description copied from class: <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#clone()">BasicHttpParams</A></CODE></B></DD>
<DD>Clones the instance.
 Uses <A HREF="../../../../org/apache/http/params/BasicHttpParams.html#copyParams(org.apache.http.params.HttpParams)"><CODE>BasicHttpParams.copyParams(HttpParams)</CODE></A> to copy the parameters.
<P>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html#clone()">clone</A></CODE> in class <CODE><A HREF="../../../../org/apache/http/params/BasicHttpParams.html" title="class in org.apache.http.params">BasicHttpParams</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/CloneNotSupportedException.html?is-external=true" title="class or interface in java.lang">CloneNotSupportedException</A></CODE></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SyncBasicHttpParams.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../org/apache/http/params/HttpProtocolParams.html" title="class in org.apache.http.params"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?org/apache/http/params/SyncBasicHttpParams.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SyncBasicHttpParams.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
